#ifndef __BT848_LINUX_H__
#define __BT848_LINUX_H__

#define BT848_VERSION "1.0"

#include <linux/types.h>

#define vm_offset_t volatile char * /*off_t*/
#define printf printk
#define bzero(p, s) memset(p, 0, s)
#define disable_intr cli
#define enable_intr sti
#define bool_t int
#define quad_t long long

#define TRUE  (1)
#define FALSE (0)

#define min(a, b) ((a) < (b) ? (a) : (b))

#ifndef PAGE_SIZE
#include <asm/page.h>
#endif

/* calc # of pages needed (overestimate) */
#define btoc(bytes)	((bytes+(PAGE_SIZE-1)) / PAGE_SIZE)

#define DELAY(usecs)	udelay(usecs)
#include <asm/delay.h>

#define vtophys virt_to_phys
#include <asm/io.h>

#ifdef BIGPHYSAREA
#ifdef DMABUFFER
#include <linux/dmaBuffer.h>
#else
#include <linux/bigphysarea.h>
#endif
#else
#define bigphysarea_alloc(size)		get_bktr_mem(unit, size)
#define bigphysarea_free(ptr, size)	kfree(ptr)
#endif

#endif /* __BT848_LINUX_H__ */
